## golang-k8s-sigs-kustomize-api 0.18.0%2Bds

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.18.0+ds-4) unstable; urgency=medium

  * d/rules: Skip tests not supported on riscv64

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 12 Feb 2025 22:52:35 +0000

golang-k8s-sigs-kustomize-api (0.18.0+ds-3) unstable; urgency=medium

  * d/rules: Remove generated .so files via execute_before_dh_auto_install
  * d/rules: Set DH_GOLANG_EXCLUDES_ALL to false

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 29 Jan 2025 19:29:49 +0000

golang-k8s-sigs-kustomize-api (0.18.0+ds-2) unstable; urgency=medium

  * Source-only upload for migration
  * d/control: Fix Vcs Browser and Git URLs
  * d/copyright: Update debian copyright year to 2025
  * d/rules: Remove execute_before_dh_auto_install

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 29 Jan 2025 00:10:07 +0000

golang-k8s-sigs-kustomize-api (0.18.0+ds-1) unstable; urgency=medium

  * Initial release (Closes: #1090321)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 16 Dec 2024 18:19:38 +0000

## golang-k8s-sigs-kustomize-api 0.19.0+ds

=== plugin/untested/v1/gogetter/Makefile ===
# Copyright 2022 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ./../../../../Makefile-modules.mk

lint:
	echo "Skipping lint for broken module untested/v1/gogetter"

## golang-k8s-sigs-kustomize-api 0.18.0+ds

=== debian/control ===
Source: golang-k8s-sigs-kustomize-api
Section: golang
Priority: optional
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               git,
               golang-github-blang-semver-dev,
               golang-github-go-errors-errors-dev,
               golang-github-google-shlex-dev,
               golang-github-stretchr-testify-dev,
               golang-uber-goleak-dev,
               golang-github-evanphx-json-patch-dev,
               golang-k8s-kube-openapi-dev,
               golang-k8s-sigs-kustomize-kyaml-dev,
               golang-k8s-sigs-yaml-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api.git
Homepage: https://github.com/kubernetes-sigs/kustomize
XS-Go-Import-Path: sigs.k8s.io/kustomize

Package: golang-k8s-sigs-kustomize-api-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-blang-semver-dev,
         golang-github-go-errors-errors-dev,
         golang-github-google-shlex-dev,
         golang-github-stretchr-testify-dev,
         golang-uber-goleak-dev,
         golang-github-evanphx-json-patch-dev,
         golang-k8s-kube-openapi-dev,
         golang-k8s-sigs-kustomize-kyaml-dev,
         golang-k8s-sigs-yaml-dev,
         ${misc:Depends}
Description: Core API components and utilities for Kustomize (library)
 The kustomize/api module is part of the Kustomize project, which is designed
 to manage and customize Kubernetes configurations declaratively.
 .
 This library focuses on the API layer that supports Kustomize's core
 functionality, enabling users to manipulate Kubernetes resource manifests
 programmatically.
 .
 Key features include support for resource transformations, overlays, and
 patching strategies that align with Kubernetes best practices.
 .
 The API also provides utilities for YAML parsing, field mutation, and
 maintaining consistent configuration workflows, making it essential for
 developers building tools or extensions around Kubernetes configuration
 management.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DH_GOLANG_EXCLUDES := plugin/builtin plugin/someteam.example.com
# Setting DH_GOLANG_EXCLUDES_ALL to false to ensure that only files from the
# plugin folder are excluded during the build process, while keeping them in
# the source. These files are necessary for Autopkgtest to run successfully.
export DH_GOLANG_EXCLUDES_ALL := 0
export DH_GOLANG_INSTALL_EXTRA := plugin/someteam.example.com/v1/bashedconfigmap/BashedConfigMap

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

LDFLAGS := \
	-X 'sigs.k8s.io/kustomize/api/provenance.buildDate=2023-01-31T23:38:41Z' \
	-X 'sigs.k8s.io/kustomize/api/provenance.version=(test)'

# Default list of tests to skip that try to access the internet
SKIP_TESTS_LIST := \
	TestDefaultAbsPluginHomeNoXdgWithDotConfig|\
	TestDefaultAbsPluginHomeNoXdgJustHomeDir|\
	TestAnnoOriginRemoteBuiltinTransformer|\
	TestRemoteLoad_RemoteProtocols|\
	TestAnnoOriginRemoteBuiltinGenerator|\
	TestCustomOpenApiFieldFromOverlayWithRemoteSchema|\
	TestCustomOpenApiFieldFromBaseWithRemoteSchema|\
	TestCustomOpenApiFieldBasicUsageWithRemoteSchema|\
	TestExistingCacheDir|\
	TestRemoteRootNoRef|\
	TestResourcesRepoNotFile|\
	TestNestedRemoteRoots|\
	TestRemoteRoot|\
	TestRemoteFile|\
	TestBadArgs|\
	TestRemoteTargetDefaultDst|\
	ExampleFilter|\
	TestSedTransformer|\
	TestPluginEnvironment

# Additional tests to skip not supported on linux/riscv64
ifeq ($(DEB_HOST_ARCH),riscv64)
SKIP_TESTS_LIST := $(SKIP_TESTS_LIST)|\
	TestCompiler|\
	TestLoader|\
	TestReusableCustomTransformers|\
	TestIssue1251_Plugins_ProdVsDev|\
	TestIssue1251_Plugins_Local|\
	TestIssue1251_Plugins_Bundled|\
	TestPluginsNotEnabled
endif

# Remove spaces after "|"
SKIP_TESTS := $(subst | ,|,$(SKIP_TESTS_LIST))

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	# dh_auto_configure first copies source files to the build root, then
	# symlinks libraries from /usr/share/gocode/src.
	# The dependency symlink will NOT occur when the library package uses the
	# same XS-Go-Import-Path (DH_GOPKG) as the source package and ship files
	# under the same GOPATH, causing problems in dh_auto_build due to lack of
	# installed libraries.
	# dh_auto_configure: warning: "sigs.k8s.io/kustomize" is already installed.
	# https://salsa.debian.org/go-team/packages/dh-golang/-/blob/81892fe8d3a51a22c910a649052669dd9f18837e/lib/Debian/Debhelper/Buildsystem/golang.pm#L495
	ln -vs /usr/share/gocode/src/sigs.k8s.io/kustomize/kyaml $(CURDIR)/_build/src/sigs.k8s.io/kustomize/kyaml

override_dh_auto_test:
	# Set missing flags and skip tests that try to access the internet.
	dh_auto_test --builddirectory=_build -- -ldflags "$(LDFLAGS)" -skip="$(SKIP_TESTS)"

execute_before_dh_auto_install:
	find $(CURDIR)/_build/src/sigs.k8s.io/kustomize/plugin -type f -name "*.so" -delete

override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      repacksuffix=+ds,dversionmangle=s/\+ds//,repack,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/kubernetes-sigs/kustomize/tags .*api/v?(\d\S*)\.tar\.gz debian

## golang-k8s-sigs-kustomize-api 0.19.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.19.0+ds-1) unstable; urgency=medium

  * New upstream version 0.19.0+ds
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/gitlab-ci.yml: Remove pipeline from go team
  * d/p/*: Create patch to set Git messages to English for
    TestRemoteLoad_LocalProtocol
  * d/rules: Increase test timeout to 30 min
  * d/salsa-ci.yml: Add Salsa CI default pipeline

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 17:34:31 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                golang-k8s-sigs-kustomize-kyaml-dev,
                golang-k8s-sigs-yaml-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api
 Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/golang-k8s-sigs-kustomize-api.git
 Homepage: https://github.com/kubernetes-sigs/kustomize

## golang-k8s-sigs-kustomize-api 0.20.1%2Bds

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                golang-github-go-errors-errors-dev,
                golang-github-google-shlex-dev,
                golang-github-stretchr-testify-dev,
+               golang-gopkg-yaml.v2-dev,
                golang-uber-goleak-dev,
                golang-github-evanphx-json-patch-dev,
                golang-k8s-kube-openapi-dev,
@@ -31,6 +32,7 @@
          golang-github-go-errors-errors-dev,
          golang-github-google-shlex-dev,
          golang-github-stretchr-testify-dev,
+         golang-gopkg-yaml.v2-dev,
          golang-uber-goleak-dev,
          golang-github-evanphx-json-patch-dev,
          golang-k8s-kube-openapi-dev,

## golang-k8s-sigs-kustomize-api 0.20.1+ds

=== api/Makefile ===
# Copyright 2022 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ../Makefile-modules.mk

test:
	go test -v -timeout 45m -cover ./... -ldflags "-X sigs.k8s.io/kustomize/api/provenance.buildDate=2023-01-31T23:38:41Z -X sigs.k8s.io/kustomize/api/provenance.version=(test)"

build:
	go build -ldflags "-X sigs.k8s.io/kustomize/api/provenance.buildDate=$(shell date -u +"%Y-%m-%dT%H:%M:%SZ")" ./...

generate: $(MYGOBIN)/k8scopy $(MYGOBIN)/stringer
	go generate ./...

lint: lint-api-static

## lint-api-static runs the linter on the API module
## with build-tag kustomize_disable_go_plugin_support
## this aims to catch any issues with the API module
## that would prevent the API module from being used
## when the go plugin support is disabled.
lint-api-static:
	$(MYGOBIN)/golangci-lint cache clean # Workaround for https://github.com/golangci/golangci-lint/issues/3228
	$(MYGOBIN)/golangci-lint \
	  -c $$KUSTOMIZE_ROOT/.golangci.yml \
	  --build-tags kustomize_disable_go_plugin_support \
	  --path-prefix api \
	  run ./...

=== plugin/someteam.example.com/v1/validator/Makefile ===
# Copyright 2022 The Kubernetes Authors.
# SPDX-License-Identifier: Apache-2.0

include ./../../../../Makefile-modules.mk

lint:
	echo "Skipping lint for broken module someteam.example.com/v1/validator"

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.20.1+ds-1) unstable; urgency=medium

  * New upstream version 0.20.1+ds
  * d/control: Add golang-gopkg-yaml.v2-dev dependency
  * d/p/0002: Drop patch that sets git messages to english (applied upstream)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 11 Aug 2025 22:46:00 +0100

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 
 override_dh_auto_test:
 	# Set missing flags and skip tests that try to access the internet.
-	dh_auto_test --builddirectory=_build -- -ldflags "$(LDFLAGS)" -skip="$(SKIP_TESTS)"
+	dh_auto_test --builddirectory=_build -- -ldflags "$(LDFLAGS)" -skip="$(SKIP_TESTS)" -timeout 30m
 
 execute_before_dh_auto_install:
 	find $(CURDIR)/_build/src/sigs.k8s.io/kustomize/plugin -type f -name "*.so" -delete

## golang-k8s-sigs-kustomize-api 0.21.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,8 @@
 	TestRemoteTargetDefaultDst|\
 	ExampleFilter|\
 	TestSedTransformer|\
-	TestPluginEnvironment
+	TestPluginEnvironment|\
+	TestLoaderHTTPMalformedURL
 
 # Additional tests to skip not supported on linux/riscv64
 ifeq ($(DEB_HOST_ARCH),riscv64)

## golang-k8s-sigs-kustomize-api 0.21.0+ds

=== debian/changelog ===
golang-k8s-sigs-kustomize-api (0.21.0+ds-1) unstable; urgency=medium

  * New upstream version 0.21.0+ds
  * d/rules: Skip network-dependent TestLoaderHTTPMalformedURL test

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 19 Dec 2025 01:31:33 +0000
